ycmd (0+20240823+git8b61f19+ds-4build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 24 Jan 2026 10:40:12 +0000

ycmd (0+20240823+git8b61f19+ds-4build1) resolute; urgency=medium

  * No-change rebuild for abseil soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Jan 2026 03:30:32 +0100

ycmd (0+20240823+git8b61f19+ds-4) unstable; urgency=medium

  * ycm_extra_conf.py: Search compile db in common build dirs
  * Import upstream 0+20251023+git7895484 as patch series
    - no effective change beside adapted tests as we
      strip the embedded/hardcoded code/versions
    - Prefer clangd-21 if we need to pick a versioned clangd
  * House keeping:
    - Drop R³: no from d/control as it is the default now
    - Auto-convert d/watch to version 5
    - Drop version requirements in deps satisfied in stable
    - Bump unicode-data b-dep to >= 16 for correctness
  * Consistently use 60 secs as timeout in tests (Closes: #1119334, #1119971)
  * tsserver test: Support deprecated info with and without MDN link
  * Support Unicode 17 (\0 in GraphemeBreakTest) in tests

 -- David Kalnischkies <donkult@debian.org>  Mon, 10 Nov 2025 18:27:24 +0100

ycmd (0+20240823+git8b61f19+ds-3) unstable; urgency=medium

  * Import upstream 0+20250616+git9160b4e as patch series
  * Bump Standards-Version to 4.7.2 (no change needed)
  * Support Perl (perlnavigator) completion out of the box
  * Support Unicode 16 in testing

 -- David Kalnischkies <donkult@debian.org>  Mon, 08 Sep 2025 11:16:14 +0200

ycmd (0+20240823+git8b61f19+ds-2) unstable; urgency=medium

  * Import upstream 0+20241013+gitd8c3b69 as patch series
  * Prefer clangd-19 if we need to pick a versioned clangd
  * Wait for tssserver termination also for 30 seconds

 -- David Kalnischkies <donkult@debian.org>  Tue, 22 Oct 2024 13:00:33 +0200

ycmd (0+20240823+git8b61f19+ds-1) unstable; urgency=medium

  * New upstream version 0+20240823+git8b61f19+ds
    - Refresh patches
  * Bump Standards-Version to 4.7.0 (no change needed)

 -- David Kalnischkies <donkult@debian.org>  Tue, 10 Sep 2024 18:16:51 +0200

ycmd (0+20240618+gite81c15e+ds-1) unstable; urgency=medium

  * New upstream version 0+20240618+gite81c15e+ds
    - Support for type/call hierarchy commands
    - Refresh patches
  * Restore support for older tsserver in tests
  * Skip go tests failing with golang-golang-x-tools 0.20 (gopls)

 -- David Kalnischkies <donkult@debian.org>  Wed, 19 Jun 2024 11:24:19 +0200

ycmd (0+20240401+gitda9c643+ds-1) unstable; urgency=medium

  * New upstream version 0+20240401+gitda9c643+ds
    - Refresh patches and tests
    - Drop now unused python3-{bottle,frozendict} dependencies
  * Prefer versioned clangd-18 over -17 (and older)
  * Include License Header for Apache-2.0 in d/copyright
  * Bump upstream copyright years to 2024 for newly added file
  * Support debian/ files (debputy) completion out of the box
  * Avoid needless internal CORE_VERSION enforcement

 -- David Kalnischkies <donkult@debian.org>  Fri, 05 Apr 2024 22:07:53 +0200

ycmd (0+20231230+git9e43034+ds-2) unstable; urgency=medium

  * Import upstream 0+20240217+gitb63d2e8 as patch series
    - Fixing tests for go v1.22.0 (Closes: #1064498)

 -- David Kalnischkies <donkult@debian.org>  Sat, 24 Feb 2024 12:07:29 +0100

ycmd (0+20231230+git9e43034+ds-1) unstable; urgency=medium

  [ David Kalnischkies ]
  * New upstream version 0+20231230+git9e43034+ds
    - Refresh patches and drop backported ones
  * Bump my copyright year as advised by lintian

  [ Alexandre Detiste ]
  * Remove extraneous obsolete dependency on python3-future (Closes: #1058019)

 -- David Kalnischkies <donkult@debian.org>  Wed, 03 Jan 2024 00:44:54 +0100

ycmd (0+20230611+git3392251+ds-2) unstable; urgency=medium

  * Import upstream 0+20231029+git62cfc45 as patch series
    - Support clang 17 (from experimental) in autopkgtests
  * Prefer upstream-blessed clangd-17 before other versioned clangs
  * Import upstream PR1719 to support Unicode 15.1 (Closes: #1052804)

 -- David Kalnischkies <donkult@debian.org>  Sun, 05 Nov 2023 11:41:38 +0100

ycmd (0+20230611+git3392251+ds-1) unstable; urgency=medium

  * New upstream version 0+20230611+git3392251+ds
    - Refresh patches
    - Make tests compatible with golang-1.20 (Closes: #1037480)
  * Support GDScript (Godot) completion out of the box
  * Prefer upstream-blessed clangd-16 before other versioned clangs
  * Drop as-needed linker flag from debian/rules (lintian)
  * Bump Standards-Version to 4.6.2 (no change needed)

 -- David Kalnischkies <donkult@debian.org>  Wed, 21 Jun 2023 14:05:18 +0200

ycmd (0+20230103+gitf53e7ac+ds-1) unstable; urgency=medium

  * New upstream version 0+20230103+gitf53e7ac+ds
    - implements support for clangd GoToAlternateFile
  * Let service management test wait longer for termination
  * Do not check text of AttributeErrors raised in tests
  * add Repository field in upstream/metadata

 -- David Kalnischkies <donkult@debian.org>  Sat, 14 Jan 2023 16:21:53 +0100

ycmd (0+20220824+git2ee4100+ds-2) unstable; urgency=medium

  * Import upstream 0+20220929+git0e13fec+ds as patch series
    - Keep CORE_VERSION at 45, but provide 47 as well
    - Refresh, rename & reorganize patches
  * Prefer using clangd before clangd-15 over -14, -13 and -16
  * Increase tsserver timeout from 20 to 30 seconds (for armel)
  * Ignore "too slow" failure of clangd FixIt_AlreadyResolved test

 -- David Kalnischkies <donkult@debian.org>  Sun, 16 Oct 2022 11:55:37 +0200

ycmd (0+20220824+git2ee4100+ds-1) unstable; urgency=medium

  * New upstream version 0+20220824+git2ee4100+ds
    - Adds highly experimental inlet hints support
  * Relax clangd fixit matcher for clangd-15
  * Split out tests requiring nodejs into own autopkgtest

 -- David Kalnischkies <donkult@debian.org>  Fri, 26 Aug 2022 19:24:36 +0200

ycmd (0+20220401+gitdbe806f+ds-3) unstable; urgency=medium

  * Import upstream 0+20220609+git20bfbbf as patch series
    - Support for semantic highlighting (experimental)
    - Support for the basic workspace folders in LSP completers
  * Support LSP textDocumentSyncKind
  * Describe state of Fortran completer support better
  * Accept different format fixits from newer gopls in test (Closes: #1016838)
  * Ignore unpaired UTF-8 bidirectional warning from UnicodeTable.inc
  * Rerun go tests on golang as well
  * Drop explicit clangd-14 from test dependencies

 -- David Kalnischkies <donkult@debian.org>  Mon, 08 Aug 2022 19:17:59 +0200

ycmd (0+20220401+gitdbe806f+ds-2) unstable; urgency=medium

  * Import upstream version 0+20220609+git20bfbbf+ds as patch:
    - Allow generic LSP completers to override built in completers
  * Ignore order of Goto locations return by clangd in autopkgtest
  * Update Fortran Language Server definition from lsp-examples

 -- David Kalnischkies <donkult@debian.org>  Fri, 10 Jun 2022 22:45:57 +0200

ycmd (0+20220401+gitdbe806f+ds-1) unstable; urgency=medium

  * New upstream version 0+20220401+gitdbe806f+ds
    - Refresh patches & drop backported upstream patches
    - Remove python3-requests dep
    - Remove python3-waitress dep
    - Add libabsl-dev dep and use it
    - Upstream Core-Version is now 45, drop 42 compat
    - Update copyright for upstream release
  * Drop unused imports from default ycm_extra_conf.py (Closes: #990466)
  * Support and use packaged gopls if available (Closes: #989722)
  * Suggests all supported completion servers
  * Use gmock (and gtest) instead of googletest package
  * Use upstream unittest as autopkgtest
  * Bump Standards-Version to 4.6.1 (no change needed)
  * Override dh_makeshlibs to avoid ldconfig trigger activation

 -- David Kalnischkies <donkult@debian.org>  Thu, 09 Jun 2022 19:11:33 +0200

ycmd (0+20201028+git1d415c5+ds-1) unstable; urgency=medium

  * New upstream version 0+20201028+git1d415c5+ds
    - support TCP-based language servers (like godot)
    - support workspace configuration for language servers
  * Drop boost as upstream switched to c++17 regex and fs
  * Refresh and update all patches

 -- David Kalnischkies <donkult@debian.org>  Wed, 28 Oct 2020 19:57:18 +0100

ycmd (0+20200810+gita24204e+ds-1) unstable; urgency=medium

  [ David Kalnischkies ]
  * New upstream version 0+20200810+gita24204e+ds
    - more stable language-servers shutdown via watchdog
    - many changes for java, C# and rust which aren't supported
      out of the box by this package so far
    - drops python3 <= 3.5 support,
      but even debian/stable has >= 3.7 already
  * Refresh local patches
  * Include new upstream sample file in d/copyright
  * Provide Core-Version 42 as well to avoid lookstep update
  * Add new python3-watchdog dependency
  * Bump debhelper-compat from 12 to 13

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- David Kalnischkies <donkult@debian.org>  Mon, 31 Aug 2020 18:59:31 +0200

ycmd (0+20200403+git9021e97+ds-1) unstable; urgency=medium

  * New upstream version 0+20200403+git9021e97+ds
    - Exclude embedded whereami and unicode-data for tarball
  * Do not force a specific resource-dir on clangd
  * Allow ccls to be used as C/C++ completer
  * Add patch to support Fortran language server by default
  * Ship a wrapper for tsserver to hide the explicit nodejs call
  * Improve supported languages and needed config in README.Debian
  * Use unicode-data as data source at buildtime
  * Use packaged whereami for running tests (Closes: #956310)

 -- David Kalnischkies <donkult@debian.org>  Fri, 10 Apr 2020 19:30:42 +0200

ycmd (0+20200314+gite05955a+ds-1) unstable; urgency=medium

  * New upstream version 0+20200314+gite05955a+ds
    - Drop disabling python2 as upstream dropped support
    - Require jedi >= 0.16.0 for working python completer
    - Drop now unneeded boost regex build-dependency
  * Update copyright stanzas in d/copyright
  * Refresh all patches to apply cleanly
  * Drop the explicit libclang-9 build-dependency again
  * Choose an LLVM root for which libclang-*-dev is installed
  * Add patch to decouple from a vim-youcompleteme update
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- David Kalnischkies <donkult@debian.org>  Mon, 16 Mar 2020 16:31:39 +0100

ycmd (0+20191222+git2771f6f+ds-1) unstable; urgency=medium

  * Set myself as maintainer via one-year hijack (Closes: #912690)
  * New upstream version 0+20191222+git2771f6f+ds
    - Advertise debian repack from git HEAD with +ds
    - Add clangd testdata locations to CUDA copyright entry
    - Update d/copyright for 2019
    - Update d/patches, fixing tsserver support (Closes: #929987)
    - Update README.Debian with completer support state
  * Use local gopls installation if available for golang support
  * Use system-provided pybind11 now that it is new enough
  * Fix finding clang library based on provided llvm path (Closes: #947439)
  * Depend on clang-9 explicitly for now (see #947439)
  * Use ycm-core namespace instead of valloric as upstream
  * Set R³: no in debian/control
  * Bump Standards-Version (no change required)
  * Bump debhelper compat to 12

 -- David Kalnischkies <donkult@debian.org>  Sun, 29 Dec 2019 15:13:44 +0100

ycmd (0+20181101+git600f54d-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0+20181101+git600f54d
    - The release intended to be uploaded previously instead of
      a renamed tarball of a previous version
    - Update debian/copyright file
    - Use uscan + debian/watch for git HEAD for source tarball
    - Don't include prebuilt api doc in tarball
    - Don't exclude the examples/ folder from the tarball
    - Run without non-existent third_party directory
  * Switch from debhelper 9 to 11
  * Drop references to unused JediHTTP
  * Remove unused libboost-python-dev build-dependency
  * Don't use dpkg-parsechangelog directly in debian/rules
  * Drop ancient X-Python-Version field
  * Run GTest-based tests at build-time
  * Drop runtime-deps from build-deps for now
  * Use always the default clang version for building
  * Provide ycmd-core-version for more relaxed dependencies
  * Build against python3 (Closes: #849239)

 -- David Kalnischkies <donkult@debian.org>  Fri, 02 Nov 2018 19:57:14 +0100

ycmd (0+20181028+git600f54d-1) unstable; urgency=medium

  * Fix the date in the version name
  * Fix the tern patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Oct 2018 15:28:32 +0100

ycmd (0+20180708+git600f54d-1) unstable; urgency=medium

  * New snapshot release (Closes: #893148)
    For now, I disabled the testsuite... Given the current state of
    the package, this isn't a big deal for now.
  * Package moved under the Python umbrella as the maintainer isn't
    active lately.
  * Uses llvm/clang 7 (Closes: #873412)
  * Standards-Version: 4.2.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Jul 2018 09:27:18 +0200

ycmd (0+20161219+git486b809-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run fewer tests on mipsel and mips64el, some fail on Loongson buildds.
    (Closes: #852962)

 -- Adrian Bunk <bunk@debian.org>  Wed, 07 Jun 2017 12:13:33 +0300

ycmd (0+20161219+git486b809-3) UNRELEASED; urgency=medium

  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:50:59 +0200

ycmd (0+20161219+git486b809-2) unstable; urgency=low

  * Fix clang version detection in override_dh_link. (Closes: #861483)
  * Try to find tern executable in $PATH and then set PATH_TO_TERN_BINARY
    to ~/.npm-packages/bin/tern. (Closes: #859883)

 -- Onur Aslan <onur@onur.im>  Mon, 08 May 2017 11:23:19 +0300

ycmd (0+20161219+git486b809-1) unstable; urgency=low

  * New upstream release. (Closes: #850144)
  * Bump Standards-Version to 3.9.8 (no changes).
  * Remove third party dependency frozendict from package.
  * Refresh patches for new upstream release.
  * Use updated path for tsserver. (Closes: #841563)
  * Replace google-mock dependency with google-test and use correct
    directory for gmock target. (Closes: #848727)
  * Bumb libclang dependency version to 3.9.
  * Update 01-python-patch.patch to:
    - Fix a test function in JediHTTP to use upper case letter.
    - Remove follow_imports parameter usage from jedi.Script.goto_assignments.
      This parameter is only available in the latest revision of jedi and not
      available in Debian.
  * Remove third_party/frozendict from package
  * Add python-frozendict and python-psutil to Build-Depends.
  * Add 08-bottle.patch to make ycmd compatible with python-bottle.
  * Improve override_dh_auto_clean.
  * Remove installation of check_core_version.py.
  * Remove gmock and gtest files from package.
  * Replace clang includes symbolic link with correct include directory.
    (Closes: #825905)
  * Remove fix permissions from override_dh_install and only make
    /usr/lib/ycmd/ycmd/__main__.py executable.
  * Enable hardening.
  * Remove unused files from debian/copyright.
  * Remove architecture detection for go tests (go tests are excluded
    completely), and reorganize EXCLUDE_TEST_PARAMS in debian/rules.

 -- Onur Aslan <onur@onur.im>  Thu, 26 Jan 2017 12:57:23 +0300

ycmd (0+20160327+gitc3e6904-1) unstable; urgency=low

  * New upstream release. (Closes: #818070)
  * Refresh patches for new upstream release.
  * Add libclang-3.8-dev and remove libclang-dev from Build-Depends.

 -- Onur Aslan <onur@onur.im>  Sat, 09 Apr 2016 12:22:30 +0300

ycmd (0+20160303+git206efaf-1) unstable; urgency=low

  * New upstream release. (Closes: #818070)
  * Bump Standards-Version to 3.9.7 (no changes).
  * Refresh patches for new upstream version.
  * Add copyright info for third_party/JediHTTP.
  * Exclude javascript and rust tests.
  * Install JediHTTP into usr/lib/ycmd/third_party/.
  * Update 01-python-path.patch to remove AddVendorFolderToSysPath
    function from jedihttp. This package is using system packages for
    jedihttp dependencies.
  * Update d/rules get-orig-source to update only required submodules
    instead of cloning repository recursively.
  * Add python3-nose, python3-hamcrest, python3-webtest, python3-jedi,
    python3-waitress, python3-bottle, python3-requests into Build-Depends
    for JediHTTP tests.
  * Update d/rules override_dh_auto_test to run JediHTTP tests.
  * Update d/rules override_dh_install to remove JediHTTP tests.
  * Add 05-tern-support.patch to support local node-tern installation.
  * Add python-future, python-pep8 and python-setuptools into
    Build-Depends.
  * Add python-future into Depends.
  * Update 03-gocode-path.patch to remove unused import to get rid of
    flake8 error.
  * Remove golang dependencies and exclude golang tests. ycmd started using
    godef along with gocode, and godef is not available for Debian. golang
    completion is temporary disabled. Users can still use golang
    completion by installing gocode package and putting godef executable
    into /usr/bin/godef or setting godef_binary_path in
    default_settings.json.
  * Set HOME environment variable to $(CURDIR) when running tests.
  * Update d/rules override_dh_auto_clean to remove .noseids and .cache
    directories generated by nosetests.
  * Use HTTPS URI's for Vcs-Git and Vcs-Browser fields.
  * Add README.Debian to provide additional information about supported
    completion engines.
  * Add 06-omnisharp-path.patch to give optional OmniSharp based C#
    additional support.
  * Replace python-flake8 dependency with flake8. (Closes: #818453)
  * Add 07-shebang.patch to add missing script headers to main executable
    file and check_core_version.py.
  * Remove executable permission from some completer modules.

 -- Onur Aslan <onur@onur.im>  Tue, 29 Mar 2016 14:09:34 +0300

ycmd (0+20151019+git0825f85-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream version.
  * Remove 04-test-basic-string-alias.patch. Fixed in upstream.
  * Update override_dh_auto_clean to remove *.so* files in d/rules.
  * Update override_dh_auto_test to run ./run_tests.py in d/rules.
  * Install CORE_VERSION instead of EXPECTED_CORE_VERSION.
  * Create a symbolic link to clang includes directory in
    /usr/lib/ycmd. (Closes: #800618)
  * Add libclang-common-(CLANG_VER)-dev into recommends.
  * Replace libclang-3.(6|7) dependencies with libclang-dev (>= 3.6) to
    use default clang version provided by llvm-defaults.
  * Add typescript support:
    - Add node-typescript into Build-Depends and Recommends.
    - Add 04-tsserver-path.patch to use node-typescript for typescript
      completion.
    - Remove excluded typescript tests to activate typescript tests in
      d/rules.
  * Update 00-build-system.patch to add support for libclang-3.8-dev.
  * Update 02-generic-ycm-extra-conf-py.patch to simplify
    ycm_extra_conf.py.

 -- Onur Aslan <onur@onur.im>  Mon, 02 Nov 2015 13:40:20 +0300

ycmd (0+20150804+git6f4dbb4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream version.
  * Replace libclang-dev build dependency with
    libclang-3.6-dev | libclang3.7-dev.
  * Remove clang-3.5 support in 00-build-system.patch.
  * Add 04-test-basic-string-alias.patch.
  * Update d/install to install EXPECTED_CORE_VERSION and
    check_core_version.py
  * Update Upstream-Name and Source URL in debian/copyright.
  * Update copyright info and years.

 -- Onur Aslan <onur@onur.im>  Fri, 07 Aug 2015 12:10:08 +0300

ycmd (0+20150616+gitd7a3653-1) unstable; urgency=low

  * Initial release. (Closes: #771330)

 -- Onur Aslan <onur@onur.im>  Mon, 22 Jun 2015 20:06:43 +0300
